Worth it to upgrade from CFW 5.00 M33-6?

Discussion in 'PSP - Hacking & Homebrew' started by themyst, Sep 27, 2014.

  1. themyst
    OP

    themyst GBAtemp Regular

    Member
    122
    13
    Mar 5, 2008
    United States
    Hey guys, dug my old PSP phat out of the boneyard to use for emulators (3DS XL emulation stinks) and am completely lost since the last time I've flashed CFW to this unit.

    Is there anything I can't play by staying on my current CFW? Trying to gauge if it's worth the hassle to do it or not. Thanks!
     
  2. Vappy

    Vappy GBAtemp Advanced Maniac

    Member
    1,507
    1,154
    May 23, 2012
    Haven't checked, but 1.6 versions on I'd imagine that there's at least a few things you could do on the latest firmware you can't on 5.00. Besides, it's not exactly a "hassle" to update.
     
  3. Flame

    Flame Me > You

    Member
    3,897
    5,124
    Jul 15, 2008
  4. Thirty3Three

    Thirty3Three Musician Member

    Member
    3,327
    1,785
    Mar 22, 2013
    United States
    Wherever you want me, baby.
    I would. I remember when 500 was the shiz. But the newer firmwares are tops.
     
  5. leo5546

    leo5546 Newbie

    Newcomer
    5
    3
    Sep 28, 2014
    United States
    Upgrade it. 5.00 m33-6 still remains my favorite firmware. But that's purely because of nostalgia. The 6.60's cfw supports the latest games, plugins, features, etc.
     
  6. Thirty3Three

    Thirty3Three Musician Member

    Member
    3,327
    1,785
    Mar 22, 2013
    United States
    Wherever you want me, baby.

    Mine too. Also, I remember 3.40eo-b, I believe it was called.
     
  7. AceyBwoi

    AceyBwoi Advanced Member

    Newcomer
    58
    12
    Feb 9, 2014
    Bedroom
    yeah what everyone else says.. update it to pro cfw
    if you have a slim and lite if not any 6.60 cfw would do
     
  8. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,261
    8,740
    Oct 27, 2002
    France
    Engine room, learning
    I'm still on 5.0 M33-6 too, and I'm starting to find games I can't play even after decrypting them and using the prometheus plugin/version.txt trick (not the prometheus online ad-hoc plugin).

    - Tactics Ogre : lets you play the intro. console crash with a popping sound and shutdown on First mission.
    - Sword Art Online : Doesn't even boot. console crash with a popping sound and shutdown at game launch.


    I kept M33-6 because it had PopStation and few 5.0 only plugins. (popsloader still work on 6.60?)
    If there are more games I can't play and no way to patch them, I'll probably update too.

    I saw there are m33-7 and -8, but I don't know if it's a good idea to update. it's only patches from other users.
    I guess it's a better idea to update to permanent 6.60 instead of m33-8.

    a question:
    If I update to CFW 6.x and something went bad, I can still recover with pandora and reinstall 5.00? (I have a 2000 TA-088 v2 compatible)
    I guess we can't have both 5.x and 6.x at the same time with dual IPL? even a temporary one as there's only one flash? (I have pandora, I can use IPL to switch and re-flash 5.x <-> 6.x if needed?)
    What is cIPL? is it like the pandora IPL to multi-boot?


    Edit:
    the link to CFW 6.60pro in the guide is old?
    there's a "c2 update3" on Wololo website.
     
  9. leo5546

    leo5546 Newbie

    Newcomer
    5
    3
    Sep 28, 2014
    United States

    You can still use pandora battery and reinstall 5.00. I'm not sure about this but Dark Alex's time machine now supports 6.60 cfw, so I guess dual boot is now possible. cIPL is basically perma patch for the PSP's that supports it. That means that whenever you restart your PSP, it'll still keep the firmware. Think of it like a permanent Chickhen r2 patch,
     
    Cyan likes this.
  10. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,261
    8,740
    Oct 27, 2002
    France
    Engine room, learning
  11. NicoBlogs

    NicoBlogs GBAtemp Regular

    Member
    289
    89
    Apr 19, 2013
    United States
    USA
    Of course it does. :lol:
     
  12. marcus134

    marcus134 GBAtemp Advanced Fan

    Member
    584
    80
    May 7, 2011
    Canada
    Qu├ębec
    I'm still on 5.50 prome4 (gen-d branch) and tactics ogre seems to work fine with a decrypted eboot, (never finished the game though)
    it also support popsloader and cwcheats of old and some alarm clock plugin for m33, but I don't remember what else I tried.

    as for 6.xx popsloader, (which is a different popsloader) I remember there was some compatibility issue for some models, though it may have been ironed out since.
     
  13. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,126
    1,181
    Jan 2, 2009
    Gambia, The
    get the almost latest 6.60 pro firmware (I'm using pro c1 fix 3). the last pro c2 firmware seems to be unable to load final fantasy 7-9 from the psn store which is somewhat of a nogo
     
  14. themyst
    OP

    themyst GBAtemp Regular

    Member
    122
    13
    Mar 5, 2008
    United States
    wow, times have changed since 5.00 M33-6... i recall it being a real pain in the ass updating it back then, but this is pretty idiot proof. Nice!